Debian Bug report logs - #612897
ITP: wreport -- C++ library for working with weather reports

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Enrico Zini <enrico@debian.org>

Date: Fri, 11 Feb 2011 12:27:01 UTC

Owned by: Enrico Zini <enrico@debian.org>

Severity: wishlist

Fixed in version wreport/2.0-1

Done: Enrico Zini <enrico@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#612897; Package wnpp. (Fri, 11 Feb 2011 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 11 Feb 2011 12:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wreport -- C++ library for working with weather reports
Date: Fri, 11 Feb 2011 12:23:44 +0000
Package: wnpp
Severity: wishlist
Owner: Enrico Zini <enrico@debian.org>

* Package name    : wreport
  Version         : 1.5
  Upstream Author : Enrico Zini <enrico@enricozini.org>
* URL             : http://www.arpa.emr.it/dettaglio_documento.asp?id=2927&idlivello=64
* License         : GPL
  Programming Lang: C++
  Description     : library for working with weather reports

    libwreport is a C++ library for working with weather reports.
    .
    The main feature of libwreport is a powerful decoder and encoder for the BUFR
    and CREX formats.
    .
    It also provides a useful abstraction to handle values found in weather
    reports, with awareness of significant digits, measurement units, variable
    descriptions, unit conversion and attributes on variables.
    .
    Features provided:
    .
     * Read and write BUFR version 2, 3, and 4
     * Read and write CREX
     * Unit conversion
     * Handling of physical variables

Besides being a proper, powerful, tested, free codec for BUFR and CREX,
this is going to be a dependency for the new upstream version of the
"dballe" package.


Ciao,

Enrico




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 17 Jun 2011 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Enrico Zini <enrico@debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 22:06:05 GMT) Full text and rfc822 format available.

Notification sent to Enrico Zini <enrico@debian.org>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 22:06:05 GMT) Full text and rfc822 format available.

Message #12 received at 612897-close@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: 612897-close@bugs.debian.org
Subject: Bug#612897: fixed in wreport 2.0-1
Date: Fri, 17 Jun 2011 22:02:41 +0000
Source: wreport
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
wreport, which is due to be installed in the Debian FTP archive:

libwreport-dev_2.0-1_amd64.deb
  to main/w/wreport/libwreport-dev_2.0-1_amd64.deb
libwreport-doc_2.0-1_all.deb
  to main/w/wreport/libwreport-doc_2.0-1_all.deb
libwreport2_2.0-1_amd64.deb
  to main/w/wreport/libwreport2_2.0-1_amd64.deb
wreport-common_2.0-1_amd64.deb
  to main/w/wreport/wreport-common_2.0-1_amd64.deb
wreport_2.0-1.debian.tar.gz
  to main/w/wreport/wreport_2.0-1.debian.tar.gz
wreport_2.0-1.dsc
  to main/w/wreport/wreport_2.0-1.dsc
wreport_2.0.orig.tar.gz
  to main/w/wreport/wreport_2.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612897@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Zini <enrico@debian.org> (supplier of updated wreport package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 16 Jun 2011 14:12:33 +0200
Source: wreport
Binary: libwreport-dev libwreport-doc libwreport2 wreport-common
Architecture: source amd64 all
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: Enrico Zini <enrico@debian.org>
Changed-By: Enrico Zini <enrico@debian.org>
Description: 
 libwreport-dev - library for working with weather reports
 libwreport-doc - documentation for libwreport
 libwreport2 - shared library for working with weather reports
 wreport-common - common data files for libwreport
Closes: 612897
Changes: 
 wreport (2.0-1) unstable; urgency=low
 .
   * New upstream version
      - Big code, API and ABI cleanup
      - Finished C04yyy implementation for all data samples that we have
      - Documentation improvements
   * Upload to unstable. Closes: #612897.
Checksums-Sha1: 
 40dc1988f315d059260606ffb54c54d54e805e18 1806 wreport_2.0-1.dsc
 36af4d6bbe21348b228418d868a617d8654e298b 1257790 wreport_2.0.orig.tar.gz
 8658c76a43e5a374f95b134f844b8d1801fde009 3402 wreport_2.0-1.debian.tar.gz
 b6ddb1dee2e6ecb077468b12e410bfa9e2c9eccc 289120 libwreport-dev_2.0-1_amd64.deb
 e411f4c8754d4c40f3cd6b02fa20e2a41cb2f633 256348 libwreport-doc_2.0-1_all.deb
 3cce89db7e7eb37ca5871ebe65397f23e173e33d 136928 libwreport2_2.0-1_amd64.deb
 67088706e37695e767c7c59ee2f071df4c1d3223 513412 wreport-common_2.0-1_amd64.deb
Checksums-Sha256: 
 971346da69f4f92e5ebc1d716697bf486d2d0a2ba7fe805dd56309f6148c6024 1806 wreport_2.0-1.dsc
 a92f45fa4d8c33c493e2294dc99b2aea5503be970d1243ab54e37b35ffdaf35e 1257790 wreport_2.0.orig.tar.gz
 5daa3686c35a68b15210ed3c2f2e086f0439c17603539765b09d8e0d5673fc01 3402 wreport_2.0-1.debian.tar.gz
 7fc073affd7956807f251644613a7968a545f767c8a06b412d45dedb70b5d4b1 289120 libwreport-dev_2.0-1_amd64.deb
 f349dd0a6f820045206caa9df77ab3ecd8dd3419457259a47d9be6d2c6e140c7 256348 libwreport-doc_2.0-1_all.deb
 0dfede6f75959045d3eccc722e8fa7df84a74c2c0f3c06901558bfb2a83bd721 136928 libwreport2_2.0-1_amd64.deb
 f96cf50b3fe8468e5696305a939cfecdc6e464a6160b34af0e907b37962d7d6f 513412 wreport-common_2.0-1_amd64.deb
Files: 
 29c78aacbf99c9977e00ea78f72bf4e2 1806 misc optional wreport_2.0-1.dsc
 af80ef14fd99c1f29c3263945ff8887b 1257790 misc optional wreport_2.0.orig.tar.gz
 a41a66c0f822b65bcd99b3832a501477 3402 misc optional wreport_2.0-1.debian.tar.gz
 58ef46d4fa134fb642f45239c3a9342f 289120 libdevel optional libwreport-dev_2.0-1_amd64.deb
 2a0942526084aa99149ba6091a3e9264 256348 doc optional libwreport-doc_2.0-1_all.deb
 c8c688bb023ab6aaa743c8062884f7e0 136928 libs optional libwreport2_2.0-1_amd64.deb
 8b7a21f2bf5ccdfe7407d0f3cc7bd44b 513412 misc optional wreport-common_2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN+328AAoJEB5qw/OH8O2sUqMP/3H7YK9+FTQJc5T7/TUi18M+
Jmkvflf02Y3rEb3UN2a00bFpHxnUk4zeufIMfW8S+K/nxTo+w42xavH3zpNmsGiG
tXL9nw2tJVnxojo+RAXoCRZP18ZGebJyvKsjVucRhmSDms5oXHoDDHCaxNf0OEyW
EX90JOWvV+VJd28ttnpeRN52iSKpnzVoUH/4KGjscAYAkijYoqdfrw6uZ9O8nWZD
JixIVK2sSNxYZkqOG+M45o+82s17bmzaFa7QhpJ4uihV8gOzdfGCl/G9WESQacQb
GRpZSf7nYXbDPucAtZKkcYiDL1RZGRgPsifdskolgcMtT5T8Q1uP7K/EowJSp7Ho
v9dgBEJtijkMMAiu8DK/yR73G0hm72fWM4XpS7cEVpjo/366aoEZ9N6JPKqJaMDf
vnJSk0zsJmPNx/NUI5aUvpmAiYX2jDHTmr8hI3oFgvR+54IFpmdqxOtnSMU3wAO0
ADW7F+KI/g81L6hwkLGl3YgkaiXMAVSAkxWpO/Ai2O8ZRxLtL1u7IQfv3HvDl0wH
zor2a580ao61szlNW/zk2FoFRaS7GH4JVZAK/eYEPIoQ5trS2Re7klVzHPZ/ZRqb
tgvIhFvo+NrzACvkPOeGs44Ml2qXvCEc+cXwrp3xGzCMezwbAffAzy1s65a80v6v
SuV+H5CVE2sKR9UAljVV
=aBZZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jul 2011 07:42:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:26:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.